image: mahdigharooni/flutter:latest #It is my flutter docker image

stages:
  - deploy


flutter_deploy:
  stage: deploy
  before_script:
    - flutter channel master
    - flutter upgrade
    - flutter pub get
    - flutter clean
  script:
    - flutter build apk --split-per-abi
  artifacts:
    paths:
      - build/app/outputs/apk/release/app-armeabi-v7a-release.apk
  only:
    refs:
      - master
